\documentclass{article}
% Concrete with eulervm; from Walter Schmidt post on ctt Jan 10 2005
\renewcommand{\rmdefault}{ccr} 
\usepackage[euler-digits]{eulervm} 
\linespread{1.04} % approximately 
\renewcommand{\bfdefault}{sbc}

\usepackage{siunitx}
% \sisetup{detect-weight=true,
%          detect-family=true,
%          detect-shape=true,
%          detect-mode=true}
\sisetup{detect-all}
\usepackage{dcolumn}
\newcolumntype{.}{D{.}{.}{-1}}

\begin{document}
Consider the location $a=2$ for the 2-nd time.
\begin{center} \small
  \begin{tabular}{SS|SS|S}  
      -0.1            &1.9       &2.61      &-0.39      &3.9   
  \end{tabular}
\end{center}
Now consider it again.
\begin{center} \small
  \begin{tabular}{..|..|.}  
      $-0.1$            &$1.9$       &$2.61$      &$-0.39$      &$3.9$    
  \end{tabular}
\end{center}

Consider them without dollar signs.
\begin{center} \small
  \begin{tabular}{SS|SS|S}  
      -0.1            &1.9       &2.61      &-0.39      &3.9    
  \end{tabular}
\end{center}
Now consider it again.
\begin{center} \small
  \begin{tabular}{..|..|.}  
      -0.1            &1.9       &2.61      &-0.39      &3.9    
  \end{tabular}
\end{center}
\end{document}
